Retrieve available documents
curl --request GET \
--url https://api.kombo.dev/v1/custom/datev/available-documents \
--header 'Authorization: Bearer <token>' \
--header 'X-Integration-Id: <x-integration-id>'import requests
url = "https://api.kombo.dev/v1/custom/datev/available-documents"
headers = {
"X-Integration-Id": "<x-integration-id>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'X-Integration-Id': '<x-integration-id>', Authorization: 'Bearer <token>'}
};
fetch('https://api.kombo.dev/v1/custom/datev/available-documents', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": "success",
"data": {
"results": [
{
"document_type": "LOBN",
"available_for_employees": [
{
"id": "8Xi6iZrwusZqJmDGXs49GBmJ",
"remote_id": "123456"
}
],
"is_company_document": false
},
{
"document_type": "LOJO",
"available_for_employees": [],
"is_company_document": true
}
]
},
"warnings": [
{
"message": "This is an example warning!"
}
]
}DATEV Documents (Payslips)
Retrieve available documents
Use this endpoint to get all available documents for a specific period.
GET
/
custom
/
datev
/
available-documents
Retrieve available documents
Authorizations
Headers
ID of the integration you want to interact with.
Query Parameters
Provide the period in the format YYYY-MM-DD for which to check for available documents.
Response
GET /custom/datev/available-documents Positive response
Allowed value:
"success"Show child attributes
Show child attributes
Example:
{
"results": [
{
"document_type": "LOBN",
"available_for_employees": [
{
"id": "8Xi6iZrwusZqJmDGXs49GBmJ",
"remote_id": "123456"
}
],
"is_company_document": false
},
{
"document_type": "LOJO",
"available_for_employees": [],
"is_company_document": true
}
]
}
These are the interaction warnings that are shown in the dashboard. They are meant to provide debug information to you. We recommend logging them to the console.
Show child attributes
Show child attributes
Was this page helpful?
⌘I